/** SGX

The   sss    gggg x   x   
     s      g      x x    Engine
      sss   g  gg   x
         s  g   g  x x          Copyright 1995-2009.
     ssss    gggg x   x         Steven Goodwin. All Rights Reserved.
    
This version has been released under the GNU Public License v2.0.

Please see the license files for details.

File: sgx/include/sgx/core/crc/crc32.hpp

*/

#ifndef SGX_CORE_CRC_CRC32_HPP
#define SGX_CORE_CRC_CRC32_HPP	1

tUINT32 sgxGetCRC32(const tUINT32 val);
tUINT32 sgxGetCRC32(const void *pData, const tMEM_SIZE size);
tUINT32 sgxGetCRC32(const tBYTE *pData, const tMEM_SIZE size);
tUINT32 sgxGetCRC32(const sgxString &stringRef);
tUINT32 sgxGetCRC32(const tCHAR *pString);

#endif /* SGX_CORE_CRC_CRC32_HPP */
